package com.ho.user.mapper;

import com.ho.user.api.entity.SysUser;
import com.ho.user.api.vo.req.OrderUserSelectReqVo;
import com.ho.user.entity.SysPosition;
import com.ho.user.vo.req.PositionAddReqVO;
import com.ho.user.vo.req.PositionQueryReqVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【sys_position】的数据库操作Mapper
* @createDate 2022-12-01 15:55:30
* @Entity com.ho.user.entity.SysPosition
*/
@Mapper
public interface SysPositionMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(SysPosition record);

    SysPosition selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SysPosition record);

    List<SysPosition> selectByInfo(SysPosition sysPosition);


    List<SysPosition> select(SysPosition sysPosition);

    //岗位ids对应的岗位列表
    List<SysPosition> selectPostListByPostIds(@Param("list") List<Integer> postIds);

    List<SysPosition> selectObscure(PositionQueryReqVO vo);

    List<SysPosition> getPositionByTop();

    List<Integer> selectPostIds(@Param("list") List<String> postCodes);

    List<SysUser> selectUserByPostIds(@Param("vo") OrderUserSelectReqVo vo,@Param("list")List<Integer> postIds);
}
